This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 47745 - BAD: during upgrade from RH7.0 to RH7.1 anaconda crashed post install, prior to bootdisk creation
BAD: during upgrade from RH7.0 to RH7.1 anaconda crashed post install, prior ...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-06 14:47 EDT by Charles Richardson
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-16 10:32:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
file created by anaconda at the time of the failure (plain text but with a very long line at the end) (2.76 KB, text/plain)
2001-07-06 14:49 EDT, Charles Richardson
no flags Details

  None (edit)
Description Charles Richardson 2001-07-06 14:47:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (Win98; U)

Description of problem:
Anaconda prompted for the insertion of a floppy on which it then saved a text file

How reproducible:
Didn't try

Steps to Reproduce:
1.   After anaconda installation failure, I could not reboot the system
2.
3.
	

Actual Results:  Rebooting resulted in the characters "LI" appearing in the upper left corner of the display
and the looping through the rebooting process ...     ....   ....

Additional info:

Here's the contents of the text file written by anaconda named anacdump.txt

Traceback (innermost last):
  File "/usr/bin/anaconda", line 520, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 1126, in run
    rc = apply (step[1](), args)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/text.py", line 551, in __call__
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 2057, in doInstall
    self.instPath + "/var/lib/rpm.rpmsave")
OSError: [Errno 2] No such file or directory

Local variables in innermost frame:
arch: i386
total: 707
pkgTimer: <timer.Timer instance at a335c30>
msg: File exists
w: <text.ProgressWindow instance at bbe1150>
logname: /tmp/upgrade.log
i: /etc/X11
p: gtk+-devel
how: u
syslog: <todo.InstSyslog instance at 84f65a0>

(followed by a long string of text without newlines)
Comment 1 Charles Richardson 2001-07-06 14:49:42 EDT
Created attachment 22907 [details]
file created by anaconda at the time of the failure (plain text but with a very long line at the end)
Comment 2 Brent Fox 2001-07-06 15:55:49 EDT
Is /var, /var/lib/ or /var/lib/rpm a symlink?
Comment 3 Brent Fox 2001-07-16 10:32:05 EDT
Closing due to inactivity.  Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.